#
# spec file for package perl-Audio-FLAC-Header (Version 2.4)
#
# Copyright (c) 2011 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

Name:           perl-Audio-FLAC-Header
Version:        2.4
Release:        1.3
License:        GPL+ or Artistic
%define cpan_name Audio-FLAC-Header
Summary:        Interface to FLAC header metadata
Url:            http://search.cpan.org/dist/Audio-FLAC-Header/
Group:          Development/Libraries/Perl
Source0:        http://www.cpan.org/authors/id/D/DA/DANIEL/Audio-FLAC-Header-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
This module returns a hash containing basic information about a FLAC
file, a representation of the embedded cue sheet if one exists, as well
as tag information contained in the FLAC file's Vorbis tags.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc Changes README TODO

%changelog
* Fri Jul  8 2011 malcolmlewis@opensuse.org
- initial package 2.4
  * created by cpanspec 1.78.03
